<?php
/*
<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    SMF DB Uniform Collation & Engine Utility
	Copyright 2023 Chen Zhen @ web-develop.ca
    Distributed under the terms of the GNU General Public License
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
*/

// Form for editing overall database collations
function template_edit_uniform_collations()
{
	global $context, $settings, $options, $scripturl, $txt;

	echo '
	<div id="admincenter">
		<form action="', $scripturl, '?action=admin;area=maintain;' . $context['collation_addtoform'] . 'sa=uniformcollations;save" method="post" accept-charset="', $context['character_set'], '" name="collationform" id="collationform">';

	// show current settings
	echo '
			<div class="cat_bar">
				<h3 class="catbg">
					', $txt['UniformCollations_admin'], '
				</h3>
			</div>
			<div class="windowbg2" style="padding: 1em;">
				<br class="clear" />
				<h2>', $txt['UniformCollations_current'], '</h2>
				<br class="clear" />
				<div class="ucTable">
					<div class="ucTableRow">
						<div class="ucTableHead"><strong>', $txt['UniformCollations_setting'], '</strong></div>
						<div class="ucTableHead"><span style="font-weight: bold;">', $txt['UniformCollations_value'], '</span></div>
					</div>				';

	foreach ($context['admin_current_db_values'] as $dbsetting => $db_value)
		echo '
					<div class="ucTableRow">
						<div class="ucTableCell">', ucfirst($dbsetting), '</div>
						<div class="ucTableCell">', $db_value, '</div>
					</div>';
	echo '
				</div>
				<div>&nbsp;</div>
				<div>&nbsp;</div>
			</div>';

	// select collation type
	echo '
			<div>&nbsp;</div>
			<div>&nbsp;</div>
			<div class="cat_bar">
				<h3 class="catbg">
					',  $txt['UniformCollations_adjust'], '
				</h3>
			</div>
			<div class="windowbg2" style="padding: 1em;">
				<br class="clear" />
				<h2>', $txt['UniformCollationsSelect'], '</h2>
				<br class="clear" />
				<div>&nbsp;</div>
				<select id="dbtype" lang="en" dir="ltr" name="db_collation" onchange="myDbChanges(this.value)">
					<option value="">', $txt['UniformCollationsSelect'], '</option>
					<optgroup label="utf8" title="', $txt['UniformCollationsUtf8'], '">';

	foreach ($context['uniform_collations'] as $collationsKey)
	{
		if (empty($utf8mb4) && stripos($collationsKey, 'utf8mb4') !== false)
		{
			$utf8mb4 = true;
			echo '
					<optgroup label="utf8mb4" title="', $txt['UniformCollationsUtf8mb4'], '">';
		}

		echo '
					<option value="', $collationsKey, '" title="', $txt[$collationsKey], '"', ($context['admin_current_db_values']['collation'] == $collationsKey ? ' selected="selected"' : ''), '>', $collationsKey, '</option>';
	}

	echo '
					</optgroup>
				</select>
				<div>&nbsp;</div>
				<div>&nbsp;</div>
			</div>
			<br class="clear" />
			<br class="clear" />';

	// buttons to convert text and blob
	echo '
			<div class="cat_bar">
				<h3 class="catbg">
					', $txt['UniformCollations_convert'], '
				</h3>
			</div>
			<div class="windowbg2" style="padding: 1em;">
				<div class="ucTable">
					<div class="ucTableRow">
						<div class="ucTableCell ucUtf8CellOne">
							<div class="windowbg2" style="padding: 1em;">
								<br class="clear" />
								<h2>', $txt['UniformCollationsConversions'], '</h2>
								<br class="clear" />
								<div>&nbsp;</div>
								<div class="ucRadioPadding">
									<input type="radio" name="force_charcode" value="mb4utf8"', ($_SESSION['force_uniform_charcode'] == 'mb4utf8' ? ' checked="checked"' : ''), (stripos($context['admin_current_db_values']['charset'], 'utf8mb4') !== false ? ' disabled="disabled' : ''), '" />', (stripos($context['admin_current_db_values']['charset'], 'utf8mb4') !== false ? '<span style="text-decoration: line-through;" title="' . $txt['UniformCollationsDisabled'] . '">' . $txt['UniformCollations_mb4utf8'] . '</span>' : $txt['UniformCollations_mb4utf8']), '
								</div>
								<div class="ucRadioPadding">
									<input type="radio" name="force_charcode" value="utf8"', ($_SESSION['force_uniform_charcode'] == 'utf8' ? ' checked="checked"' : ''), ' />', $txt['UniformCollations_utf8'] ,'
								</div>
								<div class="ucRadioPadding">
									<input type="radio" name="force_charcode" value=""', (stripos($_SESSION['force_uniform_charcode'], 'utf8') === false ? ' checked="checked"' : ''), ' />', $txt['UniformCollations_nil'] ,'
								</div>
								<div>&nbsp;</div>
								<div>&nbsp;</div>
							</div>
						</div>
						<div class="ucTableCell ucUtf8CellTwo">
							<span id="collationMsgFieldDelay"> </span>
						</div>
					</div>
				</div>
			</div>
			<div class="ucTableRow">

			</div>';

	echo '
			<br class="clear" />
			<div id="collationMsgField" style="height: 2em;">&nbsp;</div>
			<div id="collationMsg" style="height: 2em;">&nbsp;</div>
			<br class="clear" />
			<br class="clear" />
			<div class="floatrightpadding">
				<input type="submit" id="save_setting" name="save_settings" value="', $txt['UniformCollations_save'], '" class="button_submit" />
			</div>
			<input type="hidden" name="uniform_counter" value="', $_SESSION['uniform_counter'], '" />
			<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
			', (!empty($_REQUEST['uniform_counter']) || isset($_REQUEST['uniform_field_counter']) ? '<img src="' . $settings['default_images_url'] . '/cake.png" alt="" name="collationReload" type="image" onload="collationSubmit()" width="0" height="0" />' : ''),'
		</form>
	</div>
	<br class="clear" />';
}

?>